Subject: Re: SoCFPGA ethernet broken

From: Pavel Machek <[email-masked]>
Date: Fri, 4 Dec 2015 10:38:38 +0100

> >While updating DTS might be good idea, I don't think you can simply
> >blame this on DTS. If it worked before the change, it is supposed to
> >work after the change, otherwise we call that change a "regression"
> >and revert the change.
> 
> FWIW: My initial patch to address the failure worked with the original DTB.
> 
> Also: userspace wasn't broken. So, the commandment about not breaking
> userspace wasn't broken.  Although admittedly, breaking the kernel isn't
> good either.

You can't break neither kernel nor userspace.

> >Plus, DTS is supposed to be ABI. Old DTS should still work on new
> >kernels in ideal world.
> 
> If you supply the device tree file in the kernel tree, it is not an ABI.
> 
> If the device tree is not part of the kernel, and instead comes from the
> boot firmware of the board, then you could make the ABI claim.

It is an ABI if it was declared so, and it was. Yes, it _can_ come
from kernel tree. That does not mean it has to.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html